Responder 
 
Avaliação do Tópico:
  • 0 Votos - 0 Média
  • 1
  • 2
  • 3
  • 4
  • 5
jre sem som
21/04/2007, 22:40
Resposta: #16
 
instalado e sem som
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
21/04/2007, 22:58
Resposta: #17
 
no mandriva estava usando o 1.5 e agora tá usando o 1.6?

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
21/04/2007, 23:00
Resposta: #18
 
No mandriva é o 1.6, 'no desespero' começo a achar que o 1.6 não está 'bem' com o debian
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
21/04/2007, 23:05
Resposta: #19
 
para instalar o java via apt-get coloca-se no source.list além do main e contrib o non-free depois faz seguinte:
# aptitude update
# aptitude search java
deve aparecer uma lista inclusive com o java 5 e 6, exemplo:
p sun-java5-bin - Sun Java™ Runtime Environment (JRE) 5.0p sun-java5-demo - Sun Java™ Development Kit (JDK) 5.0 demp sun-java5-doc - Sun JDK™ Documention -- integration insp sun-java5-fonts - Lucida TrueType fonts (from the Sun JRE)
p sun-java5-jdk - Sun Java™ Development Kit (JDK) 5.0
p sun-java5-jre - Sun Java™ Runtime Environment (JRE) 5.0p sun-java5-plugin - The Java™ Plug-in, Java SE 5.0
p sun-java5-source - Sun Java™ Development Kit (JDK) 5.0 soup sun-java6-bin - Sun Java™ Runtime Environment (JRE) 6 (p sun-java6-demo - Sun Java™ Development Kit (JDK) 6 demosp sun-java6-doc - Sun JDK™ Documention -- integration insp sun-java6-fonts - Lucida TrueType fonts (from the Sun JRE)
p sun-java6-jdk - Sun Java™ Development Kit (JDK) 6
p sun-java6-jre - Sun Java™ Runtime Environment (JRE) 6 (p sun-java6-plugin - The Java™ Plug-in, Java SE 6
p sun-java6-source - Sun Java™ Development Kit (JDK) 6 sourcp tightvnc-java - TightVNC java applet and command line progp vnc-java - VNC java applet and command line program
p wipl-client-java - A client for wipl-daemon, usable through

daí é só instalar, mas parece que no inicio do tópico disse que já tinha instalado pelo apt-get.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
21/04/2007, 23:08
Resposta: #20
 
O que pode ser tb neste caso que as variáveis ambientais não estejam muito bem configuradas, veja numa console do X se existe as variáveis de ambiente do java e o caminho do mesmo no path, no meu caso aparece:
$ env | grep java
MANPATH=:/usr/local/java/man
JAVA_DOC=/usr/local/java/docs
JRE_HOME=/usr/local/java/jre
PATH=/usr/local/bin:/usr/bin:/bin:/usr/bin/X11:/usr/games:/usr/local/java/bin:/usr/local/java/jre/bin
JAVA_HOME=/usr/local/java
CLASSPATH=/usr/local/java:/usr/local/java/lib:/usr/local/java/jre/lib:.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
21/04/2007, 23:12
Resposta: #21
 
Sim, tinha baixado pelo apt, mas depois retirei-o e instalei na mão, linkei o iceweasel e o opera.
Sobre env | grep java, não aparece nada
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
21/04/2007, 23:15
Resposta: #22
 
Sim, tinha baixado pelo apt, mas depois retirei-o e instalei na mão, linkei o iceweasel e o opera.
Sobre env | grep java, não aparece nada
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
21/04/2007, 23:17
Resposta: #23
 
marion Escreveu:Sim, tinha baixado pelo apt, mas depois retirei-o e instalei na mão, linkei o iceweasel e o opera.
Sobre env | grep java, não aparece nada

rodou o comando na console do crtl+ alt+ f2 ?

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
21/04/2007, 23:19
Resposta: #24
 
sim, e tbém pelo terminal
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
21/04/2007, 23:40
Resposta: #25
 
num tô acreditando que possa ser isso mas vamos adicionar isso quem sabe...
insira no final do arquivo /etc/profile o script:

Código:
for i in /etc/profile.d/*.sh ; do
    if [ -x $i ]; then
         . $i
    fi
done
unset i

export PATH

umask 022
pode ser que essas ultimas linhas já existe.
depois adicione ou crie os arquivo com o caminho e variaveis do java no /etc/profile.d para que possa ser lidos os scripts no meu caso criei o java.sh:
# touch /etc/profile.d/java.sh
com o conteúdo ( no seu caso ponha o caminho do seu sistema)

Código:
#!/bin/sh

JAVA_HOME=/usr/local/java

JRE_HOME=/usr/local/java/jre

CLASSPATH=$JAVA_HOME:$JAVA_HOME/lib:$JRE_HOME/lib:.

MANPATH=$MANPATH:$JAVA_HOME/man

JAVA_DOC=$JAVA_HOME/docs

PATH=$PATH:$JAVA_HOME/bin:$JRE_HOME/bin

export JAVA_HOME JRE_HOME CLASSPATH MANPATH JAVA_DOC PATH

depois de reiniciar o sistema verifique se na console de terminal ( não na console gráfica) se a variaveis e no path aparece o java executando o comando env novamente.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
22/04/2007, 10:37
Resposta: #26
 
Dmatrix, sobre o script:

for i in /etc/profile.d/*.sh ; do
if [ -x $i ]; then
. $i
fi
done
unset i

não existia essa parte, coloquei-a; depois inseri o código acima em /etc/profile.d/java.sh (tive que criá-la), em /usr/opt/java/jre, porém tinha baixado do site apenas o jre (coloquei no opt) e nada.
Com tudo isso, de novo removi tudo, inclusive os códigos inseridos e baixei via ptitude o sun-java6-jdk e não foi instalado automaticamnete o jre nos browsers (epiphany e iceweasel).
Estranho que com:
maquina:/home/usuario# find / -name java
/etc/alternatives/java
/usr/bin/java
/usr/lib/jvm/java-6-sun-1.6.0.00/bin/java
/usr/lib/jvm/java-6-sun-1.6.0.00/jre/bin/java
/usr/share/java
/usr/share/opera/java
/var/lib/dpkg/alternatives/java

e assim linkei para ln -s /usr/lib/jvm/java-6-sun-1.6.0.00/jre/plugin/i386/ns7/libjavaplugin_oji.so
o plugin de ice e epiphany e sem som!!

Enfim, desculpe se estou sendo chato e 'burro' e confuso; é que mexendo nos arquivos, editando e mudando e não entendo bem, me perco um pouco
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
22/04/2007, 12:08
Resposta: #27
 
de maneira nenhuma está sendo chato! eu que peço desculpas se não conseguir resolver o problema. também estou tentando entender o que está ocorrendo e muitas vezes demora um pouco mais pra descobrir o que está faltando. Bom para instalar o java nos browser automaticamente via apt-get vc precisa instalar além dos pacotes do jre tb o pacote de plugins, veja que o pacote java em questão é mostrado na procura abaixo, no caso aqui do jre5, destaque para o pacote sun-java5-plugin:

Código:
p   sun-java5-bin           - Sun Java(TM) Runtime Environment (JRE) 5.0
p   sun-java5-demo        - Sun Java(TM) Development Kit (JDK) 5.0 dem
p   sun-java5-doc          - Sun JDK(TM) Documention -- integration ins
p   sun-java5-fonts        - Lucida TrueType fonts (from the Sun JRE)
p   sun-java5-jdk           - Sun Java(TM) Development Kit (JDK) 5.0
p   sun-java5-jre            - Sun Java(TM) Runtime Environment (JRE) 5.0
p   sun-java5-plugin        - The Java(TM) Plug-in, Java SE 5.0
p   sun-java5-source      - Sun Java(TM) Development Kit (JDK) 5.0 sou
e aí não haveria necessidade de criar links ou coisas do genero. vale lembrar que o sun-java6-jdk é pacote de desenvolvimento e jre é o runtime para a normal execução de programas e o plugin é o utilizado dentro do browse.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
22/04/2007, 12:53
Resposta: #28
 
Obrigado pela atenção...
Instalei o plugin do java6 sobre o link e na mesma.
Sobre jre e jdk sabia que um é para o aplet e outro para programar, mas que o jdk contem o jre.
Talvez o problema seja de configuração de alguns arquivos
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
22/04/2007, 13:48
Resposta: #29
 
Teimando, eu coloquei no /etc/profile.d/java.sh (foi criado, pois nem existia o /etc/profie.d, apenas o profile) o seguinte:

JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00

JRE_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00/jre

e mantive o resto

Reiniciei e antes do gdm fui para o console:
env | grep java e... nada
Entrei no site para testar o som do jre e nada
Achei estranho o aptitude instalar o pacote jdk em /usr/lib e ser jvm, não entendi!!
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
22/04/2007, 18:42
Resposta: #30
 
ok, vamos verificar se o script está sendo executado, no terminal do X digite:
$ source /etc/profile
isso deve fazer executar o profile e se tudo estiver correto as variaveis e paths serão modificados e já poderá verificar isso com:
$ env | grep java
caso negativo verifique duas coisas:
se existe permissão de execução do profile no diretório profile.d e nos arquivos dentro dele:
ls -l profile
-rwxr-xr-x 1 root root 593 2005-11-21 20:58 profile
senão modifique isso:
# chmod +x /etc/profile
verifique tb se a opção login_shell está com "on"
$ shopt | grep login

vc teria um outro exemplo de site em que o som não está funcionando pra poder testar aqui?

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
Responder 


Ir ao Fórum:


Usuários visualizando este tópico: 1 Visitantes

Entre em Contato | Fórum Debian | Voltar ao Topo | Voltar ao Conteúdo | Modo Leve (Arquivo) | Feeds RSS